Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.paramlist
Class ParamValue

    java.lang.Object
      jet.server.api.paramlist.ParamValue

All Implemented Interfaces:
  java.io.Serializable

    public class ParamValue

extends java.lang.Object
implements java.io.Serializable

The instance of this class hold saved parameter value information contains auto, manual, user defined default. It's contains parameter name, value and other parameter description information etc. It represent parameter node of history-parameter.xml.

XML example:
<Param pattern="yyyy-MM-dd" name="p_EndDate" value="2010-12-31" displayValue="2010-12-31"/>

Since:
  V11.1Update1
See Also:
  Serialized Form

Constructor Summary
`ParamValue(java.lang.String name, java.lang.String type, java.lang.String[] value, java.lang.String[] displayValue)` new parameter value object
`ParamValue(java.lang.String name, java.lang.String type, java.lang.String value, java.lang.String displayValue)` new parameter value object

Method Summary
`java.lang.String` | `get(java.lang.String attributeName)` Get other properties of parameter
`java.util.Map<java.lang.String,java.lang.String>` | `getAttributes()` Get other properties of parameter
`java.lang.String[]` | `getDisplayValue()` Get parameter display value, it is a string array.
`java.lang.String` | `getName()` Get parameter name which don't contains prefix(jrs.param$).
`java.lang.String` | `getType()` Get parameter type.
`java.lang.String[]` | `getValue()` Get parameter value, it is a string array.
`void` | `set(java.lang.String attributeName, java.lang.String attributeValue)` Set other properties of parameter
`void` | `setAttributes(java.util.Map<java.lang.String,java.lang.String> attributes)` Set other properties of parameter
`void` | `setDisplayValue(java.lang.String[] displayValue)` Set parameter display value, it is a string array.
`void` | `setName(java.lang.String name)` Set parameter name which don't contains prefix(jrs.param$).
`void` | `setType(java.lang.String type)` Set parameter type.
`void` | `setValue(java.lang.String[] value)` Set parameter value, it is a string array.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParamValue

    public ParamValue(java.lang.String name,
                      java.lang.String type,
                      java.lang.String value,
                      java.lang.String displayValue)

  new parameter value object

  Parameters:
    `name` - parameter name don't contains prefix(jrs.param$)
    `type` - parameter type
    `value` - parameter single value or ALL for multiple value
    `displayValue` - parameter single value or "<ALL>" for multiple value

### ParamValue

    public ParamValue(java.lang.String name,
                      java.lang.String type,
                      java.lang.String[] value,
                      java.lang.String[] displayValue)

  new parameter value object

  Parameters:
    `name` - parameter name don't contains prefix(jrs.param$)
    `type` - parameter type
    `value` - parameter value array
    `displayValue` - parameter display value, it's length must equals with value array.

Method Detail

### getName

    public java.lang.String getName()

  Get parameter name which don't contains prefix(jrs.param$).

  It is corresponding with "name" attribute of <Param> node

### setName

    public void setName(java.lang.String name)

  Set parameter name which don't contains prefix(jrs.param$).

  It is corresponding with "name" attribute of <Param>

### getValue

    public java.lang.String[] getValue()

  Get parameter value, it is a string array. If parameter is not multiple, the array length is 1.

  Parameter value can be JSON expression.

  ALL value is "" for multiple parameter and array length is 1.

  It is corresponding with "value" attribute of <Param> or <Value> node nested in <Param> node

### setValue

    public void setValue(java.lang.String[] value)

  Set parameter value, it is a string array. If parameter is not multiple, the array length is 1.

  Parameter value can be JSON expression.

  ALL value is "" for multiple parameter and array length is 1.

  It is corresponding with "value" attribute of <Param> or <Value> node nested in <Param> node

### getDisplayValue

    public java.lang.String[] getDisplayValue()

  Get parameter display value, it is a string array. If parameter is not multiple, the array length is 1.

  It is corresponding with "displayValue" attribute of <Param> node or <Value> node nested in <Param> node

### setDisplayValue

    public void setDisplayValue(java.lang.String[] displayValue)

  Set parameter display value, it is a string array. If parameter is not multiple, the array length is 1.

  It is corresponding with "displayValue" attribute of <Param> node; or <Value> node nested in <Param> node

### getAttributes

    public java.util.Map<java.lang.String,java.lang.String> getAttributes()

  Get other properties of parameter

  They are corresponding with other attributes of <Param> node

### setAttributes

    public void setAttributes(java.util.Map<java.lang.String,java.lang.String> attributes)

  Set other properties of parameter

  They are corresponding with other attributes of <Param> node and will be saved into XML file.

  Parameters:
    `properties` -

### get

    public java.lang.String get(java.lang.String attributeName)

  Get other properties of parameter

  attributeName will be regard as attribute name of XML node(Param), such as: "pattern" etc.

  return value will be attribute value of XML node(Param), such as: pattern = "yyyy-MM-dd"

  such as: <Param pattern="yyyy-MM-dd">

  Parameters:
    `attributeName` - attribute name will be regard as attribute name of XML node(Param), such as: "pattern" etc.
  Returns:
    attribute value of specified attribute name in XML node(Param), such as get "pattern" return "yyyy-MM-dd"

### set

    public void set(java.lang.String attributeName,
                    java.lang.String attributeValue)

  Set other properties of parameter

  attributeName will be regard as attribute name of XML node(Param), such as "pattern" etc.

  attributeValue will be regard as attribute value of XML node(Param), such as pattern is "yyyy-MM-dd"

  such as: <Param pattern="yyyy-MM-dd">

  Parameters:
    `attributeName` - attribute name will be regard as attribute name of XML node(Param), such as "pattern" etc.
    `attributeValue` - attribute value will be regard as attribute value of XML node(Param), such as pattern is "yyyy-MM-dd"

### getType

    public java.lang.String getType()

  Get parameter type. Such as "Date/DateTime/Time/String/Number" etc.

  It is corresponding with "type" attribute of <Param> node

### setType

    public void setType(java.lang.String type)

  Set parameter type. Such as "Date/DateTime/Time/String/Number" etc.

  It is corresponding with "type" attribute of <Param> node

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD